ALTQSTAT(1)

NAME
altqstat - show altq status

SYNOPSIS
altqstat [-enrs] [-c count] [-w wait] [-i interface] [-I input_interface]

DESCRIPTION
The altqstat command displays the status of a queueing discipline. The contents displayed by altqstat is specific to each queueing discipline.

The options are as follows:

-e  Echo communication with altqd(8) to standard output. This option is for debugging.

-n  Disable communication with altqd(8). The interface should be explicitly specified.

-r  Enter the raw console mode to talk to altqd(8). This option is for debugging queue information exchange between altqstat and altqd(8).

-s  List all interfaces, classes and filters currently installed.

-c count
    altqstat exits after displaying count times. If no repeat count is specified, the default is infinity.

-w wait
    Pause wait seconds between each display. If no repeat wait interval is specified, the default is 5 seconds.

-i interface
    Show information about the specified interface. If no interface is specified, the default interface is the first interface returned from altqd(8).

-I input_interface
    Show information about the specified input interface. This option is used to specify traffic conditioner at an input interface.

FILES
/var/run/altq_quip
    Unix domain socket for communicating with altqd(8)

SEE ALSO
altq.conf(5), altqd(8), altq(9)